https://platform.reducto.ai/pipeline_asyncBody
asyncconfig__v3__AsyncConfigThe configuration options for asynchronous processing (default synchronous).
3 properties
metadataunknownJSON metadata included in webhook request body. Defaults to None.
prioritybooleanWorkers poll the priority queue ahead of the standard queue, so priority jobs start sooner when there is queued work; sync jobs are prioritized above async jobs by default.
- Default
false
webhookSvixWebhookConfig | DirectWebhookConfigThe webhook configuration for the asynchronous processing.
2 variants
modestring- Default
"svix"
channelsstring[]A list of Svix channels the message will be delivered down, omit to send to all channels.
modestring- Default
"direct"
urlstringRequired
inputstring | string[] | UploadResponseRequiredFor parse/split/extract pipelines, the URL of the document to be processed. You can provide one of the following: 1. A publicly available URL 2. A presigned S3 URL 3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document 4. A jobid:// prefixed URL obtained from a previous /parse invocation 5. A list of URLs (for multi-document pipelines, V3 API only)
For edit pipelines, this should be a string containing the edit instructionsUploadResponse properties
file_idstringRequiredpresigned_urlstring
pipeline_idstringRequiredThe ID of the pipeline to use for the document.
settingsPipelineSettingsSettings for pipeline execution that override pipeline defaults.
1 property
document_passwordstringPassword to decrypt password-protected documents.
Response
job_idstringRequired
detailValidationError[]5 properties
loc(string | number)[]RequiredmsgstringRequiredtypestringRequiredinputunknownctxobject